foobar2000 - Software Development Kit

Begonnen von grimes, 09. Januar 2010, 21:46:49

⏪ vorheriges - nächstes ⏩

grimes

09. Januar 2010, 21:46:49 Letzte Bearbeitung: 05. August 2015, 15:34:46 von grimes
SDK 2010-01-09

Zitieren
Change log
2010-01-09

    * Updated to include foobar2000 v1.0 features - components built with this SDK require foobar2000 v1.0 or newer.
    * Completely new sample component demonstrating various functionality.
    * Included Default User Interface element specifications.
    * Improved compatibility with MSVC10.

grimes

Für die Entwickler von foobar2000-Komponenten:

foobar2000 SDK

2015-08-03

Zitierenfoobar2000 SDK has been updated, now compatible with newly released Visual Studio 2015.

grimes

foobar2000 SDK

SDK 2022-01-04

ZitierenIncluded project files are for Visual Studio 2019.
Visual Studio 2022 is supported, just retarget projects to latest toolchain.
Certain workarounds are still needed for modern Visual C++ toolchain to compile foobar2000 code correctly. Please read the included readme document for detailed information.

grimes

foobar2000 SDK

SDK 2022-08-10

ZitierenLimited support for foobar2000 v2.0 features while maintaining compatibility with v1.5/v1.6 series.
Support for building x64 and ARM64 components for upcoming 64-bit foobar2000.
Dark mode support.